{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/property_marketing_information') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/property_marketing_information') }}
{% endblock %}

{% block buildingUnitHeaderContent %}
    <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}</span>
    {% if is_granted('edit', buildingUnit) == true %}
        {{ form_widget(propertyMarketingInformationForm.save, {'label': 'SPEICHERN', 'id': propertyMarketingInformationForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    {% endif %}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            {% if is_granted('edit', buildingUnit) == true %}
                {{ form_start(propertyMarketingInformationForm, {'attr': {'id': propertyMarketingInformationForm.vars.id ~ '_form'}}) }}
            {% endif %}
            {% include 'property_vacancy_management/form/property/property_marketing_information_form.html.twig' with {'form' : propertyMarketingInformationForm} only %}
            {% if is_granted('edit', buildingUnit) == true %}
                {{ form_row(propertyMarketingInformationForm._token) }}
                {{ form_end(propertyMarketingInformationForm, {'render_rest': false}) }}
            {% endif %}
        </div>
    </div>
{% endblock %}
